<?php

$req = get_option('require_name_email');
if ( 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']) )
	die('Please do not load this page directly. Thanks!');

?>
				<!-- #comments -->
				<div id="comments">
					
<?php if ( post_password_required() ) : ?>
					<div class="nopassword"><?php _e('This post is password protected. Enter its password to read its replies.'); ?></div>
					
				</div>
				<!-- #comments -->
				
				<hr class="post-sep" />
				
<?php return; endif; if ( have_comments() ) : ?>
					<h3><?php comments_number('No comments yet', 'One comment', '% comments'); ?></h3>
					
					<ol class="comments">
<?php global $comment_number; comment_number($comment_number, false); wp_list_comments('style=ol&callback=comment_start&end-callback=comment_end'); ?>
					</ol><!-- .comments -->
				
					<div class="comment-nav">
						<p class="prevpage"><?php previous_comments_link(); ?></p>
						<p class="nextpage"><?php next_comments_link(); ?></p>
					</div>
					
					<hr class="post-sep" />
					
<?php endif; ?>
					<div id="respond">
						
<?php if ( 'open' == $post->comment_status ) : ?>
						<h3><?php comment_form_title('Say something', 'Respond to %s'); ?></h3>
						
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
						<p><?php

printf(__('You must be <a href="%1$s/wp-login.php?redirect_to=%2$s">logged in</a> to leave a comment.'), 
	get_option('siteurl'), 
	get_permalink()
);

?></p>
<?php else: ?>
						<p class="cancel-comment-reply"><? cancel_comment_reply_link(); ?></p>
<?php if ( $user_ID ) : ?>
						<p><?php

printf(__('You\'re currently logged in as %1$s%2$s%3$s. If you\'re not %2$s, please %4$slog out%3$s.'), 
	'<a href="' . attribute_escape(get_option('siteurl')) . '/wp-admin/profile.php">', 
	$user_identity, 
	'</a>', 
	'<a href="' . wp_logout_url(get_permalink()) . '" title="Log out of this account">'
);

?></p>
						
						<!-- #commentform -->
						<form id="commentform" action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post">
<?php else: ?>
						
						<!-- #commentform -->
						<form id="commentform" action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post">
							
							<p><input type="text" name="author" id="author" class="text" value="<?php echo $comment_author; ?>" size="24" tabindex="1" />
							<label for="author">Name <?php if ( $req ) echo '(required)'; ?></label></p>
							
							<p><input type="text" name="email" id="email" class="text" value="<?php echo $comment_author_email; ?>" size="24" tabindex="2" />
							<label for="email">Email (will not be published) <?php if ( $req ) echo '(required)'; ?></label></p>
							
							<p><input type="text" name="url" id="url" class="text" value="<?php echo $comment_author_url; ?>" size="24" tabindex="3" />
							<label for="url">Website/Blog</label></p>
<?php endif; ?>
							
							<p><small><strong>XHTML:</strong> You can use these tags: <?php echo str_replace(array('&lt;', '&gt;'), array('<code>&lt;', '&gt;</code>'), allowed_tags()); ?></small></p>
							
							<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>
							<p><input name="submit" type="submit" id="submit" class="button" tabindex="5" value="Submit Comment" /><input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" /></p>
							
<?php comment_id_fields(); do_action('comment_form', $post->ID); ?>
							
						</form>
						<!-- #commentform -->
<?php endif; else: ?>
						<h3><?php _e('Can\'t comment'); ?></h3>
						<p><?php _e('Sorry, comments are closed.'); ?></p>
<?php endif; ?>
						
					</div>
					
				</div>
				<!-- #comments -->
				
				<hr class="post-sep" />
